Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1005783

Summary: "NOT MAPPED" string not translated in master setup
Product: Red Hat Satellite 5 Reporter: Jan Hutař <jhutar>
Component: WebUIAssignee: Grant Gainey <ggainey>
Status: CLOSED WONTFIX QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 560CC: rdrazny
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-06-01 13:14:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1582457, 924189    

Description Jan Hutař 2013-09-09 12:01:13 UTC
Description of problem:
"NOT MAPPED" string not translated in master setup


Version-Release number of selected component (if applicable):
spacewalk-java-2.0.2-35.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Setup real ISS master
   Admin -> ISS Configuration -> Slave Setup -> Add new master
2. satellite-sync from the master so list of it's organizations is populated
3. Change your webUI language to some non-english
3. Go to given master page again and observe content of the drop-down menu
   Admin -> ISS Configuration -> Slave Setup -> <your_master>


Actual results:
"NOT MAPPED"


Expected results:
Should be translated


Additional info:
Definitely not important for 5.6.0 release.

Comment 1 Grant Gainey 2017-05-23 18:00:07 UTC
EditMasterSetup: needs to fill the noMap DTO with the *localized* string "NOT MAPPED", not the *actual* string "NOT MAPPED"

Comment 2 Grant Gainey 2017-05-23 18:57:18 UTC
spacewalk.github:
e57b02490d11894bdf9960e69ec131d9e047380c